Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » "Target is not a JDK root" error(Eclipse error when trying to add JRE to Java Eclipse IDE)
"Target is not a JDK root" error [message #1860235] Mon, 24 July 2023 17:49 Go to next message
Chris W. is currently offline Chris W.Friend
Messages: 1
Registered: July 2023
Junior Member
I uninstalled Eclipse and reinstalled it today in hopes of fixing a different error. However, when trying to add a JRE (the JDK-20 from Oracle), Eclipse says "Target is not a JDK root. System library was not found." I've tried uninstalling and reinstalling the JDK and Eclipse, tried JDK-19 and JDK-17, but nothing works. Any suggestions on how to fix this?

I attached an image of the Eclipse error when I try to add the JRE. I urgently need this fixed for class, any suggestions?
Re: "Target is not a JDK root" error [message #1860259 is a reply to message #1860235] Tue, 25 July 2023 16:12 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 33163
Registered: July 2009
Senior Member
I think it really wants a JDK not a JRE.

You can get one here:

https://adoptium.net/


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:CVS in Eclipse 2022-03 is missing
Next Topic:plugin dependency issues in eclipse 2023-06
Goto Forum:
  


Current Time: Wed Jun 19 23:42:04 GMT 2024

Powered by FUDForum. Page generated in 0.08617 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top